import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";
import NsNavProductCard from "./NsNavProductCard";

export default {
  title: "Components/NavProductCard",
  component: NsNavProductCard,
  decorators: [
    (story) => (
      <div style={{ textAlign: "center", marginTop: "20px" }}>{story()}</div>
    ),
  ],
  args: {
    productDescription: "ageLOC LumiSpa iO pairs an intelligent,one-of-a-kind device that uses patented technology with powerful products. The results? You get the skin of your dreams.",
    productName: "ageLOC® LumiSpa® iO",
    className: 'justify-center',
    productImg: "https://media.nuskin.com/m/471880e8f6e689f4/webimage-Nuskin-Ageloc-Lumi-IO-normal-combo-cleansing-device-and-cleanser.png",
  },
} as ComponentMeta<typeof NsNavProductCard>;

export const NavProductCard: ComponentStory<typeof NsNavProductCard> = (args) => (
  <NsNavProductCard {...args} />
);
