import { ReactNode } from "react";
import { PaletteColorNames } from "@nuskin/foundation-theme/src/themes/types";
import { Variants } from "../typography/types";

export type NavTabs = {
    tabName: string;
    tabContnet?: ReactNode;
    activeColor: PaletteColorNames;
    color?: PaletteColorNames;
    textVariant: Variants;
};

export type NSNavTabComponentProps =  {
    tabs: NavTabs[];
    className?: string;
    tabTitleClassName?: string;
    showDrawer?: boolean;
};