import { FC } from 'react';
import StyledButton from "./Button.styled";
import { ButtonProps } from "./types";

export const Button: FC<ButtonProps> = ({
    children,
    ...props
}) => {
    return (
        <StyledButton {...props} disableRipple>
            {children}
        </StyledButton>
    );
};