import NsNavProductCard from "./NsNavProductCard";
import { render } from "../../../test-utils";

describe("Product Card Component", () => {
  it("1. should render Product Card Component", () => {
    const { container } = render(
      <NsNavProductCard
        productDescription="ageLOC LumiSpa iO pairs an intelligent, one-of-a-kind device that uses patented technology with powerful products. The results? You get the skin of your dreams."
        productName="ageLOC® LumiSpa® iO"
        productImg="https://media.nuskin.com/m/471880e8f6e689f4/webimage-Nuskin-Ageloc-Lumi-IO-normal-combo-cleansing-device-and-cleanser.png"
      />
    );
    expect(container).toBeInTheDocument();
    expect(container).toHaveTextContent("ageLOC® LumiSpa® iO");
  });
});
