import { PaletteColorNames } from "@nuskin/foundation-theme/src/themes/types";

export type Variants =
  | "h1"
  | "h2"
  | "h3"
  | "h4"
  | "h5"
  | "h6"
  | "sub-h-l"
  | "sub-h-m"
  | "sub-h-s"
  | "p-l"
  | "p-m"
  | "p-s"
  | "p-xs"
  | "CTA";

export type TypographyProps = {
  variant: Variants;
  decoration?: "underline" | "none";
  fontStyle?: "italic" | "normal";
  weight?: "bold" | "normal" | "light";
  color?: PaletteColorNames;
  className?: string;
};